#include "bits.nt"
; 3D Experiment for measurement of:
; 1JC4'H4', (2JC4'H5'+2JC4'H5''), 2JC5'H4', 3JH4'H5', 3JH4'H5'',
; 2JH5'H5'', 1JC5'H5', 1JC5'H5''
; out and back mode : H5'/H5'' -> C5' -> C4'(t1) -> C5'(t2) -> H5''/H5'(t3)
;C5' gradient-enhanced (Echo-Antiecho), CT (12.5ms or 37.5ms)
;C4' (States), CT 25ms
;EM 30 April 2004


;Proton pulse:
;p1 = 90 deg (10us) 1H hard pulse @pl1

;Carbon pulses:
;p3 = 90 deg 13C hard pulse @pl3
;(p5:sp5):C1 G4 90 deg on C4' on resonance (5ms @750)
;(p6:sp6):C1 = REBURP on C5' on resonance (68->64ppm for RNA, 2.2ms @750)
;(p7:sp7):C1 REBURP on C5' (need 68->64 ppm but max duration ~1.8ms)


;fq1:C1 frequency list on 13C: C4', C5', C4', C5' (83.5 ; 66 ; 83.5 ; 66 for RNA)

"p26=2m"
"d2=1/140"
"d3=d2/4-p21-5u-p6*0.45"	;dephasing during Reburp: 90% of free precession
"d4=d2/16-p19-5u"		;Delay for S3E
"d24=p6*0.5-p1"
"d25=p7*0.5-p1"
"d26=p3-p1"
"d13=d2*0.17-p22-2u-p7*0.45"	;dephasing during Reburp: 90% of free precession
"d14=d2*0.115-2u-p7*0.45"	;dephasing during Reburp: 90% of free precession
"d16=0.5m-p24"
"d17=0.5m-p25"   
"d11=50m"
"d12=1m"

"d8=6m-p28-500u-p3"
"p28=2m"
"l1=1"
"d7=2*p1"

"d0=3u"
"d9=12m-p27-203u-d0-p3"
"d10=12m-p27-203u-3u-p3"

"d20=5u"
"d21=d6-p3-5u"      
"d19=d6-p3-p26-300u-d20"


1 ze
  1m RESET
      1m
      10u
2     d12
3     d12
4     d12
5     d12
6     d12
7     d12 do:C1 do:H
      1m LOCK_ON
      d1
      1m LOCK_OFF
      10u pl1:H
      10u pl3:C1
      10u fq1:C1
;********  Kill C4'
      10u pl6:C1
      (p5:sp5 ph0):C1
      10u
      p18:gp18
      250u pl3:C1
      50u fq1:C1
;********  INEPT
     (p1 ph0):H
     5u
     p21:gp21
     d3 pl6:C1
     (d24 p1*2 ph0):H (p6:sp6 ph0):C1
     5u
     p21:gp21
     d3 pl3:C1
     (p1 ph11):H
     10u 
     p20:gp20		;need huge gradient
     250u pl3:C1
;***** S3E
     (p3 ph20):C1
     5u
     p19:gp19
     d4
     (p3*2 ph0):C1 (d26 p1*2 ph0):H
     5u
     p19:gp19
     d4
     (p3 ph0):C1
     3u
     p29:gp29		;need huge gradient
     250u pl3:C1
     (p3 ph17):C1
;****** INEPT C5' -> C4' transfer
     10u
     d7
     d8    		;ct time 1/2JCC
     p28:gp28
     500u pl3:C1
     (p3*2 ph18):C1 
     500u
     p28:gp28
     d8 pl3:C1
     if "l1==2" goto 27
     (p1*2 ph0):H
     goto 28
27   d7
28   10u fq1:C1
;******  C4' lab ******
     (p3 ph18):C1
     d0
     d9
     p27:gp27
     200u pl3:C1
     3u
     (p3*2 ph14):C1
     3u
     p27:gp27
     200u
     d10 pl3:C1
     3u fq1:C1
;****** 13C5' evolution in CT: C5' refocusing
     (p3 ph12):C1
     d20
     d19
     p26:gp26*EA	;coherence encoding gradient
     300u pl3:C1
     (p3*2 ph0):C1
     d21
     5u pl3:C1
;--Rance Kay transfer back
       (p3 ph9):C1 (d26 p1 ph0):H
       2u
       p22:gp22
       d13 pl6:C1
       (d25 p1*2 ph0):H (p7:sp7 ph0):C1
       2u 
       p22:gp22
       d13 pl3:C1
       (p1 ph1):H (p3 ph8):C1
       2u
       d14 pl6:C1
       (d25 p1*2 ph0):H (p7:sp7 ph0):C1
       2u
       d14 pl3:C1
       (d26 p1 ph0):H (p3 ph7):C1
       4u
       p24:gp24       ;coherence decoding gradient
       d16
       (p1*2 ph0):H
       2u
       p25:gp25       ;coherence decoding gradient
       d17 pl31:C1
       (2u ph0)
       go=2 ph31
       1m do:C1
       1m LOCK_ON
       d11 wr #0 if #0 zd

d12 iu1			; s3e selection, interleaved exp: C5'downfield/C5'upfield
lo to 3 times 2

d12*0.25 ru1
d12*0.25 ip9
d12*0.25 ip9
d12*0.25 igrad EA
lo to 4 times 2

d12*0.5 id20
d12*0.5 dd21
lo to 5 times l3 ;C5'LOOP

d12*0.25 rd20
d12*0.25 rd21
d12*0.10 ip16
d12*0.15 ip17
d12*0.25 ip18
lo to 6 times 2

d12*0.25 id0
d12*0.25 dd10
d12*0.25 ip31
d12*0.25 ip31
lo to 7 times l4 ;C4'LOOP

d12
d12
1m RESET
1m LOCK_ON
exit


ph0=0
ph1=1
ph11=3
ph12=0
ph14=0
ph7=0
ph8=1
ph9=0
ph17=1 1 3 3
ph18=0 2
ph20=(8)3 7
ph31=0 2 2 0
